<template lang="pug">
.row
  .col-4
    q-select(
      dense,
      @input="updateValue",
      outlined,
      :options="visOptions",
      v-model="config.visType",
      map-options
    )
      template(v-slot:prepend)
        q-icon(name="pie_chart", color="primary")
</template>
<script>
export default {
  name: "VisualisationDashboard",
  props: ["context", "firebase", "functions"],
  watch: {
    context: {
      immediate: true,
      async handler() {
        await this.$rtdbBind(
          "config",
          this.firebase.ref(
            `config/${this.context.meetingid}/current/currentState/plugins/visualisation`
          )
        );
        console.log(this.config.visType);
        if (!this.config.visType) this.updateValue({ value: "piechart" });
      },
    },
  },
  methods: {
    updateValue(val) {
      this.firebase
        .ref(
          `config/${this.context.meetingid}/current/currentState/plugins/visualisation/visType`
        )
        .set(val.value);
    },
  },
  data() {
    return {
      config: { visType: "piechart" },

      // visType: "piechart",
      visOptions: [
        {
          label: "Active Speakers",
          value: "piechart",
        },
        {
          label: "Network Diagram",
          value: "network",
        },
        {
          label: "Timeline Visualization",
          value: "timeline",
        },
        // {
        //   label: "Google Document Editing",
        //   value: "gdoc",
        // },
      ],
    };
  },
};
</script>